@import url('styles');
@import url('../../calendar_mixins.less');

@calendar-detail-column-size: @calendar-date-size;
@min-calendar-cell-width: 100px;
@calendar-detail-column-template: 100px repeat(7, minmax(@min-calendar-cell-width, 1fr));

.calendar-detail-container {
    display: grid;
    width: max(768px, 100%);
    grid-template-columns: @calendar-detail-column-template;
    grid-gap: 2px;
    overflow-x: auto;
    //max-height: 700px;

    .calendar-control-header {
        grid-area: 1/ 2/ 2 /9;
        display: flex;
        align-items: center;
        justify-content: space-between;
        background-color: @blue-2;
        border-top-left-radius: @lms-small-border-radius;
        border-top-right-radius: @lms-small-border-radius;
        padding: 1em;

        .calendar-date-name {
            width: 100%;
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: space-between;
        }

        .calendar-control {
            display: flex;
            align-items: center;
            justify-content: space-around;
            border-radius: @lms-small-border-radius;

            .calendar-mode-container {
                padding: 0.5em;
                margin: 0 1em;
                border-radius: @lms-small-border-radius;
                overflow: hidden;
            }

            .calendar-add-button {
                border-radius: @lms-small-border-radius;
                overflow: hidden;
            }
        }
    }

    .calendar-detail-date-title-header {
        grid-area: 2/ 2/3/9;
        display: flex;
        flex-direction: row;
        border-top-left-radius: @lms-light-border;
        border-top-right-radius: @lms-light-border;
        overflow: hidden;
        min-height: 70px;

        .calendar-detail-date-info-box {
            width: 100%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            padding: 2em 0;
            .calendar-date-of-week-container-color-mixins();

            .calendar-detail-date-of-week-number {
                font-weight: bolder;
                font-size: 32px;
            }

            .calendar-detail-date-of-week-name {
                font-weight: bold;
                font-size: 18px;
            }
        }

        .selected-date-title {
            color: @primary;
        }

    }

    @hour-detail-height: 100px;

    .calendar-detail-main {
        grid-area: 3/1/27/9;
        display: grid;
        grid-template-columns: @calendar-detail-column-template;
        overflow-y: scroll;
        overflow-x: hidden;
        max-height: 900px;

        .date-hour-column {
            grid-area: 1/1/27/2;
            display: flex;
            flex-direction: column;
            justify-content: center;
            height: 100%;
            align-items: center;
            background-color: @gray-1;

            .hour-title {
                display: flex;
                //padding: 1.5em;
                align-items: center;
                justify-content: center;
                min-height: @hour-detail-height;
                width: 100%;
                height: 100%;
            }
        }

        //background-color: black;
        @border-size: 2px;

        .calendar-detail-with-events {
            grid-area: 3 / 2 / 27/ 9;
            display: grid;
            grid-template-columns: repeat(7, minmax(@min-calendar-cell-width, 1fr));
            background-color: @gray-4;
            grid-gap: 2px;

            .date-hour-detail {
                background-color: @gray-1;
                border: 2px solid @gray-2;
                display: flex;
                min-height: @hour-detail-height;
                flex-wrap: wrap;
                align-content: flex-start;
            }
        }
    }
}